<?php
    include "./conexion.php";
$hoy=date('Y-m-d');
$anio=date('Y');
$semana=null;

   

?>

<table>
    <tr>
        <td>
        <select id="periodo" >
            <?php
        $sqlunidad=mysqli_query($connection,"select * from movs group by semana order by semana DESC");
        while($data=mysqli_fetch_array($sqlunidad)){

            /*if($semana==$data['semana']){
                //echo $data['fechaInicial']."1";
                echo '<option selected value="'.$data['semana'].'">'.$data['periodo'].'</option>';
            }
            else{*/
                //echo $data['fechaInicial']."2";
                echo '<option value="'.$data['semana'].'">'.$data['semana'].'</option>';
            //}
            ?>
            
            <?php
        }
            
            ?>

        </select>
        <button onclick="obtenerPeriodo()">Mostrar</button>
        </td>
    </tr>
    <tr>
        <td></td>
    </tr>
</table>
<div id="checadas"></div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
function obtenerPeriodo(){
    var semana = $('#periodo').val();
    
    $.ajax({
        type: "POST",
        url: "listaPrenomina.php", // Aquí debes poner la URL de tu script PHP para obtener los datos
        data: { semana: semana }, // Pasamos los datos correctamente como un objeto
        success: function(msg) {
            var response = JSON.parse(msg);      
            $('#checadas').html(response.respuesta); // Corregido el selector ID
        },
        error: function(xhr, status, error) {
            console.error(xhr.responseText);
            $('#checadas').html('<span style="color:red;">Error en la solicitud AJAX.</span>'); // Corregido el selector ID
        }
    });
}
</script>